## ibus-table-chinese 1.4.6-Source

=== debian/changelog ===
ibus-table-chinese (1.4.6-Source-1) unstable; urgency=low

  * Team upload.
  * New upstream release.
  * Update compat to 9, control with policy 3.9.4, no DM-Upload...

 -- Osamu Aoki <osamu@debian.org>  Sun, 15 Sep 2013 02:04:03 +0900
