=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@
override_dh_auto_configure:
	cmake . -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_VERBOSE_MAKEFILE=ON
