=== tables/quick/CMakeLists.txt ===
CONVERT_DB(quick "quick3.txt" "quick5.txt" "quick-classic.txt")
