=== tables/scj/CMakeLists.txt ===
CONVERT_DB(scj "scj6.txt")
