=== tables/wubi-jidian/CMakeLists.txt ===
CONVERT_DB(wubi-jidian "wubi-jidian86.txt")
