=== debian/changelog ===
ibus-table-chinese (1.8.2-3) unstable; urgency=medium

  * Team upload.
  * debian: Apply "wrap-and-sort -abst".
  * debian/control:
    + Bump Standards-Version to 4.2.1.
    + Bump debhelper compat to v11.
    + Update Homepage field to point to correct upstream project.
      (Closes: #856130).
    + Update maintainer email address and use debian-input-metho
      mailing list. (Closes: #899761).
    + Update Vcs-* fields and use the git repository on Debian Salsa
      platform.
  * debian/rules:
    + Use "dh_missing --fail-missing".
    + Generate a fakehome directory runtime to fix FTBFS.

 -- Boyuan Yang <byang@debian.org>  Thu, 27 Sep 2018 14:41:51 -0400

ibus-table-chinese (1.8.2-2) unstable; urgency=medium

  * Update uploaders.  Closes: #841799
  * Update upstream and VCS URLs.

 -- Osamu Aoki <osamu@debian.org>  Sat, 10 Dec 2016 23:42:18 +0900

ibus-table-chinese (1.8.2-1) unstable; urgency=medium

  * New upstream release.
  * Build with the old CMakeList.txt from 1.4.6-Source.

 -- Osamu Aoki <osamu@debian.org>  Sun, 26 Oct 2014 03:41:29 +0900

ibus-table-chinese (1.4.6-Source-2) unstable; urgency=medium

  * Team upload.
  * Rebuild with ibus-table 1.9.1.
  * Update depends.  Closes: #724023

 -- Osamu Aoki <osamu@debian.org>  Fri, 24 Oct 2014 07:43:27 +0900
