=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# Building needs a writeable HOME dir
export HOME := $(CURDIR)/debian/fakehome

%:
	dh $@

override_dh_auto_configure:
	mkdir $(HOME) || true
	cmake . -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_VERBOSE_MAKEFILE=ON

override_dh_missing:
	dh_missing --fail-missing

override_dh_install:
	# unnecessary doc files
	rm -rf debian/tmp/usr/share/doc/ibus-table-chinese-1.8.2
	dh_install
