=== debian/watch ===
version=3
opts="filenamemangle=s/(?:.*)?v?(\d[\d\.]*)\.tar\.gz/ibus-table-chinese-$1.tar.gz/" \
  https://github.com/definite/ibus-table-chinese/tags (?:.*/)?v?(\d[\d\.]*)\.tar\.gz
