=== debian/changelog ===
ibus-table-chinese (1.8.12-2) unstable; urgency=medium

  [ Gunnar Hjalmarsson ]
  * d/clean: Allow to build twice (closes: #1047346)

  [ Boyuan Yang ]
  * debian/control: Bump Standards-Version to 4.7.0.
  * debian/control: Update the hyperlink to Yong table. (Closes: #1067935)
  * The conversion of cangjie-based packages avoids duplicated files.
    (LP: #1094430)

 -- Boyuan Yang <byang@debian.org>  Fri, 19 Apr 2024 11:46:33 -0400

ibus-table-chinese (1.8.12-1) unstable; urgency=medium

  * Team upload.
  * New upstream release 1.8.12.
  * Switch to new upstream maintained by mike-fabian.
  * debian/copyright: Minor update.
    + The copyright information needs further work.
  * Pending new binary packages:
    + ibus-table-cantonyale.
  * debian/control:
    + Add build-dependency cmake-fedora.
    + Convert ibus-table-cangjie to metapackage.
  * debian/rules:
    + Adjust to be compatible with cmake-fedora usage.
    + Use upstream RELEASE-NOTES.txt as changelog.
  * debian/patches: Dropped, not needed anymore.
  * debian/watch: Monitor new upstream by mike-fabian.
  * debian/docs: Dropped, not applicable for multi-package case.
  * debian/*.install: Partially install appdata.xml files for each
    binary package (needs further working).

 -- Boyuan Yang <byang@debian.org>  Fri, 17 Feb 2023 15:20:31 -0500
