=== debian/control ===
--- 
+++ 
@@ -5,13 +5,13 @@
 Uploaders:
  Osamu Aoki <osamu@debian.org>,
 Build-Depends:
- cmake,
- debhelper (>= 11),
+ cmake (>> 3.0),
+ debhelper-compat (= 13),
 Build-Depends-Indep:
  ibus-table (>= 1.9.1-1~),
  pkg-config,
-Standards-Version: 4.2.1
-Homepage: https://github.com/definite/ibus-table-chinese
+Standards-Version: 4.7.0
+Homepage: https://github.com/mike-fabian/ibus-table-chinese
 Vcs-Git: https://salsa.debian.org/input-method-team/ibus-table-chinese.git
 Vcs-Browser: https://salsa.debian.org/input-method-team/ibus-table-chinese
 
@@ -29,15 +29,18 @@
 
 Package: ibus-table-cangjie
 Architecture: all
+Section: metapackages
 Depends:
  ibus-table-cangjie-big,
  ibus-table-cangjie3,
  ibus-table-cangjie5,
  ${misc:Depends},
-Description: ibus-table input method: CangJie (dummy package)
- This is a dummy package for safe upgrade.
- .
- You can safely remove it from your system.
+Description: ibus-table input method: CangJie (metapackage)
+ This package depends on all CangJie-related input methods
+ provided by ibus-table-chinese project.
+ .
+ CangJie (big) is a Traditional Chinese input method, check more information at
+ http://en.wikipedia.org/wiki/Cangjie_input_method .
 
 Package: ibus-table-cangjie-big
 Architecture: all
@@ -78,7 +81,7 @@
  ibus-table (>= 1.9.1-1~),
  ${misc:Depends},
 Description: ibus-table input method: Cantonese
- This package provides one input methods: Cantonese
+ This package provides one input method: Cantonese
 
 Package: ibus-table-cantonhk
 Architecture: all
@@ -90,7 +93,15 @@
  ibus-table (>= 1.9.1-1~),
  ${misc:Depends},
 Description: ibus-table input method: Cantonhk
- This package provides one input methods: Cantonhk
+ This package provides one input method: Cantonhk
+
+#Package: ibus-table-cantonyale
+#Architecture: all
+#Depends:
+# ibus-table (>= 1.9.1-1~),
+# ${misc:Depends},
+#Description: ibus-table input method: Cantonyale
+# This package provides one input method: Cantonyale
 
 Package: ibus-table-easy
 Architecture: all
@@ -118,7 +129,7 @@
  ibus-table (>= 1.9.1-1~),
  ${misc:Depends},
 Description: ibus-table input method: ErBi
- This package provide one input methods: ErBi
+ This package provide one input method: ErBi
  .
  ErBi is a Simplified Chinese input method, check more information at
  http://zh.wikipedia.org/wiki/%E4%BA%8C%E7%AC%94%E8%BE%93%E5%85%A5%E6%B3%95 (in
@@ -134,7 +145,7 @@
  ibus-table (>= 1.9.1-1~),
  ${misc:Depends},
 Description: ibus-table input method: ErBi(QS)
- This package provide one input methods: ErBi(QS)
+ This package provide one input method: ErBi(QS)
  .
  ErBi is a Simplified Chinese input method, check more information at
  http://zh.wikipedia.org/wiki/%E4%BA%8C%E7%AC%94%E8%BE%93%E5%85%A5%E6%B3%95 (in
@@ -243,4 +254,4 @@
  This package provide one input method: YongMa.
  .
  YongMa is a Chinese input method, check more information at
- http://yong.uueasy.com/read.php?tid=218 .
+ https://yong.dgod.net/read.php?tid=4&fid=3 .
