=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_configure:
	# in-place configure due to upstream bugs
	cmake -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_BUILD_TYPE=None \
	        -DCMAKE_INSTALL_SYSCONFDIR=/etc -DCMAKE_INSTALL_LOCALSTATEDIR=/var \
	        -DCMAKE_EXPORT_NO_PACKAGE_REGISTRY=ON \
	        -DCMAKE_FIND_PACKAGE_NO_PACKAGE_REGISTRY=ON \
	        -DCMAKE_INSTALL_RUNSTATEDIR=/run -DCMAKE_SKIP_INSTALL_ALL_DEPENDENCY=ON \
	        "-GUnix Makefiles" -DCMAKE_VERBOSE_MAKEFILE=ON \
	        -DCMAKE_INSTALL_LIBDIR=usr/lib/$(DEB_HOST_MULTIARCH)

override_dh_installchangelogs:
	dh_installchangelogs -k RELEASE-NOTES.txt
