## ibus-table-chinese 1.8.14

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.0.0)
+cmake_minimum_required(VERSION 3.12...4.0)
 
 # Default CMAKE_INSTALL_PREFIX should be set before PROJECT()
 SET(CMAKE_INSTALL_PREFIX "/usr" CACHE PATH "Install dir prefix")
@@ -8,7 +8,7 @@
 #
 PROJECT(
 ibus-table-chinese
-VERSION 1.8.12
+VERSION 1.8.14
 DESCRIPTION "Chinese input tables for IBus"
 HOMEPAGE_URL http://mike-fabian.github.io/ibus-table/
 LANGUAGES NONE # skip compiler checks, no compilers are needed
