=== tables/CMakeLists.txt ===
--- 
+++ 
@@ -76,7 +76,7 @@
 	IF(EXISTS "${CMAKE_SOURCE_DIR}/icons/${_tabName}.svg")
 	    LIST(APPEND _dependIcon "${CMAKE_SOURCE_DIR}/icons/${_tabName}.svg")
 	ENDIF(EXISTS "${CMAKE_SOURCE_DIR}/icons/${_tabName}.svg")
-	IF(EXISTS "${CMAKE_SOUREC_DIR}/icons/${_tabName}.gif")
+	IF(EXISTS "${CMAKE_SOURCE_DIR}/icons/${_tabName}.gif")
 	    LIST(APPEND _dependIcon "${CMAKE_SOURCE_DIR}/icons/${_tabName}.gif")
 	ENDIF(EXISTS "${CMAKE_SOURCE_DIR}/icons/${_tabName}.gif")
 	IF(EXISTS "${CMAKE_SOURCE_DIR}/icons/${_tabName}.jpg")
