=== tables/cantonese/CMakeLists.txt ===
CONVERT_DB(cantonese
    "${CMAKE_SOURCE_DIR}/tables/cantonese/cantonese.txt"
    "${CMAKE_SOURCE_DIR}/tables/cantonese/cantonhk.txt"
    "${CMAKE_SOURCE_DIR}/tables/cantonese/cantonyale.txt"
    "${CMAKE_SOURCE_DIR}/tables/cantonese/jyutping.txt")
