=== tables/easy/CMakeLists.txt ===
CONVERT_DB(easy "${CMAKE_SOURCE_DIR}/tables/easy/easy-big.txt")
