=== tables/erbi/CMakeLists.txt ===
CONVERT_DB(erbi
    "${CMAKE_SOURCE_DIR}/tables/erbi/erbi.txt"
    "${CMAKE_SOURCE_DIR}/tables/erbi/erbi-qs.txt")
