=== tables/quick/CMakeLists.txt ===
CONVERT_DB(quick
    "${CMAKE_SOURCE_DIR}/tables/quick/quick3.txt"
    "${CMAKE_SOURCE_DIR}/tables/quick/quick5.txt"
    "${CMAKE_SOURCE_DIR}/tables/quick/quick-classic.txt")
