=== tables/stroke5/CMakeLists.txt ===
CONVERT_DB(stroke5 "${CMAKE_SOURCE_DIR}/tables/stroke5/stroke5.txt")
