=== tables/wu/CMakeLists.txt ===
CONVERT_DB(wu "${CMAKE_SOURCE_DIR}/tables/wu/wu.txt")
