=== tables/wubi-jidian/CMakeLists.txt ===
CONVERT_DB(wubi-jidian "${CMAKE_SOURCE_DIR}/tables/wubi-jidian/wubi-jidian86.txt")
