=== tables/yong/CMakeLists.txt ===
CONVERT_DB(yong "${CMAKE_SOURCE_DIR}/tables/yong/yong.txt")
