=== debian/changelog ===
ibus-table-chinese (1.8.14-1) unstable; urgency=medium

  * Team upload.
  * New upstream release. (Closes: #1113000)
  * debian/rules: Do not override cmake configure step anymore.
  * debian/watch: Update to version 5.

 -- Boyuan Yang <byang@debian.org>  Mon, 03 Nov 2025 11:02:18 -0500
