=== debian/control ===
--- 
+++ 
@@ -9,11 +9,13 @@
  debhelper-compat (= 13),
 Build-Depends-Indep:
  ibus-table (>= 1.9.1-1~),
- pkg-config,
-Standards-Version: 4.7.0
+ pkgconf,
+Standards-Version: 4.7.2
 Homepage: https://github.com/mike-fabian/ibus-table-chinese
 Vcs-Git: https://salsa.debian.org/input-method-team/ibus-table-chinese.git
 Vcs-Browser: https://salsa.debian.org/input-method-team/ibus-table-chinese
+Description: Various Chinese input methods based on table engine of ibus
+ These packages provide input methods based on the table input engine for IBus.
 
 Package: ibus-table-array30
 Architecture: all
